Bug 259503 - cad/py-ocp: Update to 7.5.2
Summary: cad/py-ocp: Update to 7.5.2
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 259510
  Show dependency treegraph
 
Reported: 2021-10-28 13:43 UTC by Neal Nelson
Modified: 2021-11-17 00:31 UTC (History)
2 users (show)

See Also:


Attachments
Git diff of changes. (11.81 KB, patch)
2021-10-28 13:43 UTC, Neal Nelson
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neal Nelson 2021-10-28 13:43:08 UTC
Created attachment 229095 [details]
Git diff of changes.

Update cad/py-ocp to the latest version.

Depends upon devel/py-lief: #257041, which needs to be committed first.

Please note: I have been unable to run poudriere testport with the new git workflow since there is an uncommitted dependency.
Comment 1 Neel Chauhan freebsd_committer 2021-10-29 16:47:44 UTC
Committed!
Comment 2 commit-hook freebsd_committer 2021-10-29 16:47:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=224b32fffa22fc1abd54938df081c92210b539ba

commit 224b32fffa22fc1abd54938df081c92210b539ba
Author:     Neal Nelson <ports@nicandneal.net>
AuthorDate: 2021-10-29 16:45:41 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-10-29 16:46:34 +0000

    cad/py-ocp: Update to 7.5.2

    PR:     259503

 cad/py-ocp/Makefile                                | 62 ++++++++++++++--------
 cad/py-ocp/distinfo                                |  6 +--
 .../cpatch-OCCT_OpenGl__HaltonSampler.hxx (new)    | 11 ++++
 cad/py-ocp/files/patch-FindOpenCascade.cmake       | 12 ++---
 cad/py-ocp/files/patch-Standard.cpp (gone)         | 17 ------
 cad/py-ocp/files/patch-dump__symbols.py (new)      | 29 ++++++++++
 cad/py-ocp/files/patch-ocp.toml (new)              | 30 +++++++++++
 .../patch-opencascade_Standard__Time.hxx (new)     | 19 +++++++
 .../files/patch-templates_CMakeLists.j2 (new)      | 19 +++++++
 cad/py-ocp/pkg-message (new)                       |  4 ++
 10 files changed, 159 insertions(+), 50 deletions(-)
Comment 3 rsmith 2021-10-29 19:44:09 UTC
The port Makefile references ${LOCALBASE}/llvm90/lib/libclang.so.
However "compiler:c++11-lang" in USES implies a BUILD_DEPENDS on devel/llvm10. 

So the pre-configure stage fails because it can't find ${LOCALBASE}/llvm90/lib/libclang.so.

If I change it to ${LOCALBASE}/llvm10/lib/libclang.so, however, the port builds as expected.
Comment 4 Neal Nelson 2021-11-01 15:48:03 UTC
I'm a bit confused now. I can see a commit message and this pr is marked as closed, but the changes are not yet in git, at least when I pull it.

Also, devel/py-lief (#257041) is a dependency of this port, and it has not yet been committed, so this port *can not* yet work.

I think that an explicit LLVM dependency might also be a good idea, as at the moment it's implicit because of the devel/py-cadquery-pywrap port. Of course, the best solution would be to be able to read the version required by devel/py-cadquery-pywrap and use that, but I have no idea if that's possible.